Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452384 - SELinux policy for cvsweb
Summary: SELinux policy for cvsweb
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-21 18:15 UTC by Lubomir Rintel
Modified: 2008-06-30 20:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-30 20:12:12 UTC


Attachments (Terms of Use)
Modification to SELinux policy, applies to selinux-policy-3.4.2-8.fc10 (deleted)
2008-06-28 22:40 UTC, Lubomir Rintel
no flags Details
I moved most of this patch to cvs.te rather then httpd.te (deleted)
2008-06-30 20:11 UTC, Daniel Walsh
no flags Details

Description Lubomir Rintel 2008-06-21 18:15:56 UTC
+++ This bug was initially created as a clone of Bug #449887 +++

cvsweb-3.0.6-3.fc6.noarch is installed from repository Everything. It does not 
work with SELinux.

Comment 1 Lubomir Rintel 2008-06-28 22:40:13 UTC
Created attachment 310522 [details]
Modification to SELinux policy, applies to selinux-policy-3.4.2-8.fc10

This is my attempt at creating the policy for cvsweb.

I've given it some testing, but since this is my first modification to
selinux-policy, I'd be thankful if anyone else could look at it. Marek?

Comment 2 Daniel Walsh 2008-06-30 20:11:53 UTC
Created attachment 310619 [details]
I moved most of this patch to cvs.te rather then httpd.te

Also changed a the name slightly and added the Fedora file context.

Nice job.

Fixed in selinux-policy-3.4.2-9.fc10


Note You need to log in before you can comment on or make changes to this bug.